$kind: http-request
url: "{{sahara_local}}procurement/goods-receipt/180b5d17-fdc1-40b1-9920-1338443\
  7b3ab/update"
method: PUT
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
body:
  type: json
  content: "{ \r

    \  \"purchase_order_id\": \"e9e8e185-dc7d-46db-b847-007bcbd7ac5b\",\r

    \  \"received_date\": \"2023-12-15\",\r

    \  \"delivery_note_ref\": \"\", //Nullable\r

    \  \"status\": \"accepted\",//pending_inspection', 'accepted',
    'partially_accepted', 'rejected'\r

    \  \"items\": [\r

    \    {\r

    \        \"inventory_impact\":\"STOCK\", //STOCK,  'NON_STOCK',
    'CONSIGNMENT'\r

    \        \"warehouse_id\": \"4511f451-6e72-44d9-832c-c9392193e3a2\", //if
    inventory_impact = STOCK  must provide the warehouse to store to\r

    \        \"purchase_order_item_id\":
    \"f532f009-f50f-4398-899a-f475f8961c89\",\r

    \        \"received_quantity\": 1,\r

    \        \"accepted_quantity\":1,\r

    \        \"rejected_quantity\":0,\r

    \        \"remarks\": \"remarks string\"\r

    \    }\r

    \  ]\r

    }"
auth:
  type: bearer
  credentials:
    token: "{{sahara_local_token}}"
order: 3000
